Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.measurement
Class PerformanceMonitorByObjectsValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.ManagedEntityValueImpl
              com.sun.management.oss.impl.pm.measurement.PmManagedEntityValueImpl
                  com.sun.management.oss.impl.pm.measurement.PerformanceMonitorValueImpl
                      com.sun.management.oss.impl.pm.measurement.PerformanceMonitorByObjectsValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, ManagedEntityValue, PerformanceMonitorByObjectsValue, PerformanceMonitorValue, java.io.Serializable, SerializerFactory

public class PerformanceMonitorByObjectsValueImpl
extends PerformanceMonitorValueImpl
implements PerformanceMonitorByObjectsValue

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Hooman Tahamtani, Katarina Wahlstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.measurement.PerformanceMonitorByObjectsValue
`MEASUREMENT_ATTRIBUTES, OBSERVED_OBJECTS, VALUE_TYPE`

Fields inherited from interface com.sun.management.oss.pm.measurement.PerformanceMonitorValue
`GRANULARITY_PERIOD, NAME, REPORT_BY_EVENT, REPORT_BY_FILE, REPORT_FORMAT, REPORTING_PERIOD, SCHEDULE, STATE`

Fields inherited from interface com.sun.management.oss.ManagedEntityValue
`KEY`

Constructor Summary
`PerformanceMonitorByObjectsValueImpl()`

Method Summary
`java.lang.Object` | `clone()` Return a deep copy of this value.
`PerformanceAttributeDescriptor[]` | `getMeasurementAttributes()` Returns a list of measurement attributes.
`javax.management.ObjectName[]` | `getObservedObjects()` Returns a list of observable object distinguished names.
`PerformanceAttributeDescriptor` | `makePerformanceAttributeDescriptor()` Creates a new instance of the PerformanceAttributeDescriptor interface.
`void` | `setMeasurementAttributes(PerformanceAttributeDescriptor[] measurementAttributeNames)` Sets the measurement attributes to be monitored.
`void` | `setObservedObjects(javax.management.ObjectName[] observedObjects)` Sets the observable object that shall be monitored.

Methods inherited from class com.sun.management.oss.impl.pm.measurement.PerformanceMonitorValueImpl
`getGranularityPeriod, getName, getPerformanceMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getReportPeriod, getSchedule, getState, makePerformanceMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setManagedEntityKey, setName, setPerformanceMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setReportPeriod, setSchedule, setState`

Methods inherited from class com.sun.management.oss.impl.pm.measurement.PmManagedEntityValueImpl
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from class com.sun.management.oss.impl.ManagedEntityValueImpl
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.pm.measurement.PerformanceMonitorValue
`getGranularityPeriod, getName, getPerformanceMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getReportPeriod, getSchedule, getState, makePerformanceMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setName, setPerformanceMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setReportPeriod, setSchedule, setState`

Methods inherited from interface com.sun.management.oss.ManagedEntityValue
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber, setManagedEntityKey`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### PerformanceMonitorByObjectsValueImpl

    public PerformanceMonitorByObjectsValueImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ManagedEntityValue`
  Return a deep copy of this value.

  Specified by:
    `clone` in interface `ManagedEntityValue`
  Overrides:
    `clone` in class `PerformanceMonitorValueImpl`
  Returns:
    String The name of the measurement job.

### getMeasurementAttributes

    public PerformanceAttributeDescriptor[] getMeasurementAttributes()
                                                              throws java.lang.IllegalStateException

  Description copied from interface: `PerformanceMonitorByObjectsValue`
  Returns a list of measurement attributes.

  Specified by:
    `getMeasurementAttributes` in interface `PerformanceMonitorByObjectsValue`
  Returns:
    PerformanceAttributeDescriptor[] List of measurement attribute.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `PerformanceMonitorByObjectsValue.setMeasurementAttributes(com.sun.management.oss.pm.measurement.PerformanceAttributeDescriptor[])`

### makePerformanceAttributeDescriptor

    public PerformanceAttributeDescriptor makePerformanceAttributeDescriptor()

  Description copied from interface: `PerformanceMonitorByObjectsValue`
  Creates a new instance of the PerformanceAttributeDescriptor interface.

  Specified by:
    `makePerformanceAttributeDescriptor` in interface `PerformanceMonitorByObjectsValue`
  Returns:
    PerformanceAttributeDescriptor The created object. The object is empty.

### setMeasurementAttributes

    public void setMeasurementAttributes(PerformanceAttributeDescriptor[] measurementAttributeNames)
                                  throws java.lang.IllegalArgumentException

  Description copied from interface: `PerformanceMonitorByObjectsValue`
  Sets the measurement attributes to be monitored.

  The supplied measurement attribute must be supported of all monitored objects.

  The measurement attributes will be validated when the value object is passed to the performance monitor bean.

  If the measurement attribute list shall be omitted, an empty list must be set.

  Specified by:
    `setMeasurementAttributes` in interface `PerformanceMonitorByObjectsValue`
  Parameters:
    `measurementAttributeNames` - List of measurement attribute.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `PerformanceMonitorByObjectsValue.getMeasurementAttributes()`

### getObservedObjects

    public javax.management.ObjectName[] getObservedObjects()
                                                     throws java.lang.IllegalStateException

  Description copied from interface: `PerformanceMonitorByObjectsValue`
  Returns a list of observable object distinguished names.

  Specified by:
    `getObservedObjects` in interface `PerformanceMonitorByObjectsValue`
  Returns:
    ObjectName[] List of observable object distinguished names.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `PerformanceMonitorByObjectsValue.setObservedObjects(javax.management.ObjectName[])`

### setObservedObjects

    public void setObservedObjects(javax.management.ObjectName[] observedObjects)
                            throws java.lang.IllegalArgumentException

  Description copied from interface: `PerformanceMonitorByObjectsValue`
  Sets the observable object that shall be monitored.

  The observable objects will be validated when the value object is passed to the performance monitor bean. Only fully qualified ObjectName instances are accepted (no patterns).

  The supported observable objects can be retrieved by using the PerformanceMonitor.getObservableObjects

  Specified by:
    `setObservedObjects` in interface `PerformanceMonitorByObjectsValue`
  Parameters:
    `observedObjects` - List of observable object distinguished names.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `PerformanceMonitorByObjectsValue.getObservedObjects()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD